Bug 128521 - ehci: Could not suspend device 0000:00:1d.7: error -5
ehci: Could not suspend device 0000:00:1d.7: error -5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 21:34 EDT by Bertil Askelid
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:11:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
set lid closing to call Standby action (58 bytes, text/plain)
2004-07-23 21:37 EDT, Bertil Askelid
no flags Details
actions to suspend to RAM and resume system (1021 bytes, text/plain)
2004-07-23 21:38 EDT, Bertil Askelid
no flags Details
Functions used by /etc/acpi/actions/Standby (3.22 KB, text/plain)
2004-07-23 21:39 EDT, Bertil Askelid
no flags Details
/var/log/messages acpid and kernel messages for suspend and resume (927 bytes, text/plain)
2004-07-23 21:41 EDT, Bertil Askelid
no flags Details
/var/log/messages from boot of 2.6.7-1.494.2.2 w/ ACPI erros (65.81 KB, text/plain)
2004-08-07 11:57 EDT, Bertil Askelid
no flags Details

  None (edit)
Description Bertil Askelid 2004-07-23 21:34:12 EDT
Description of problem:

When I suspend, I get the following in /var/log/messages:

   Jul 23 17:55:45 z kernel: Stopping tasks:
========================================================================================================================|
   Jul 23 17:55:45 z kernel: Could not suspend device 0000:00:1d.7:
error -5
   Jul 23 17:55:45 z kernel: Restarting tasks... done


Version-Release number of selected component (if applicable):

kernel-2.6.6-1.435.2.3

How reproducible:

Always.

Steps to Reproduce:
1.Make sure acpid is running with the proper /etc/apci/action
and /etc/apci/event installed (copy enclosed)
2.initiate suspend, in my case, close the lid
3.
  
Actual results:

screen off, spin down hard drive (hda) and CD (hdc)
get error -5 at kernel suspend
kernel will now (successfully) resume and start up everything and
system goes back to normal

Expected results:

success suspend to RAM

Additional info:

pieces of /var/log/messages, /etc/acpi/events/lid and
/etc/acpi/actions/Standby enclosed.

I'm running a Inspiron 8500 w/ latest BIOS from Dell: A06.
Comment 1 Bertil Askelid 2004-07-23 21:37:10 EDT
Created attachment 102189 [details]
set lid closing to call Standby action
Comment 2 Bertil Askelid 2004-07-23 21:38:35 EDT
Created attachment 102190 [details]
actions to suspend to RAM and resume system
Comment 3 Bertil Askelid 2004-07-23 21:39:36 EDT
Created attachment 102191 [details]
Functions used by /etc/acpi/actions/Standby
Comment 4 Bertil Askelid 2004-07-23 21:41:28 EDT
Created attachment 102192 [details]
/var/log/messages acpid and kernel messages for suspend and resume
Comment 5 Bertil Askelid 2004-08-07 11:57:32 EDT
Created attachment 102499 [details]
/var/log/messages from boot of 2.6.7-1.494.2.2 w/ ACPI erros
Comment 6 Bertil Askelid 2004-08-07 11:58:41 EDT
I have now switched over to linux-2.6.7-1.494.2.2. This is what I get
here when I do a suspend to RAM:


   Aug  7 08:44:52 z acpid standby: Suspend
   Aug  7 08:44:52 z acpid standby: Screen is powered off
   Aug  7 08:44:53 z network: Shutting down loopback interface:  succeeded
   Aug  7 08:44:53 z acpid standby: Spin disks down
   Aug  7 08:44:57 z kernel: Stopping tasks:
=========================================================|
   Aug  7 08:44:57 z kernel: Could not suspend device 0000:00:1d.7:
error -5
   Aug  7 08:44:57 z kernel: ACPI: PCI interrupt 0000:00:1f.1[A] ->
GSI 11 (level, low) -> IRQ 11
   Aug  7 08:44:57 z kernel: ACPI: PCI interrupt 0000:00:1f.5[B] ->
GSI 7 (level, low) -> IRQ 7
   Aug  7 08:44:57 z kernel: ACPI: PCI interrupt 0000:02:01.1[A] ->
GSI 11 (level, low) -> IRQ 11
   Aug  7 08:44:57 z kernel: Restarting tasks... done
   Aug  7 08:44:57 z acpid standby: Resume
   Aug  7 08:44:58 z kernel: Disabled Privacy Extensions on device
0235d140(lo)
   Aug  7 08:44:58 z netfs: Mounting other filesystems:  succeeded
   Aug  7 08:44:58 z netfs: Mounting other filesystems:  succeeded
   Aug  7 08:44:58 z acpid standby: Screen is powered on

I have also attached /var/log/messages from my boot as it contains
quite a few error printouts from ACPI that might be useful to you.
Comment 7 Bertil Askelid 2004-08-21 13:24:05 EDT
Please, update me on what the status is of this bug. Is it a bug in
the FC2 kernel or is it something wrong with my Inspiron 8500?

I tried the new 2.6.8-1.521 kernel with the same bad result as above.
Comment 8 Dave Jones 2005-04-16 01:11:57 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.